#
# AUTOMATICALLY GENERATED FILE
#    do not edit!
#
#
CXX = c++
AR = ar
RANLIB = ranlib
PERL = /usr/pkg/bin/perl
WINDRES = 

DEFAULT_CXXFLAGS = -I/usr/include -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -Wall -Wundef \
	-I../../lib/win32 -I../../lib/common  \
	-DBOX_VERSION="\"0.11.1\""
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -rdynamic

ifdef RELEASE
CXXFLAGS = -DBOX_RELEASE_BUILD -O2 $(DEFAULT_CXXFLAGS)
OUTBASE = ../../release
OUTDIR = ../../release/lib/server
DEPENDMAKEFLAGS = RELEASE=1
VARIENT = RELEASE
else
CXXFLAGS = -g $(DEFAULT_CXXFLAGS)
OUTBASE = ../../debug
OUTDIR = ../../debug/lib/server
DEPENDMAKEFLAGS =
VARIENT = DEBUG
endif

HIDE     = $(if $(V),,@)
_CXX     = $(if $(V),$(CXX),     @ echo "  [CXX]     $<" && $(CXX))
_LINK    = $(if $(V),$(CXX),     @ echo "  [LINK]    $@" && $(CXX))
_WINDRES = $(if $(V),$(WINDRES), @ echo "  [WINDRES] $<" && $(WINDRES))
_AR      = $(if $(V),$(AR),      @ echo "  [AR]      $@" && $(AR))
_RANLIB  = $(if $(V),$(RANLIB),  @ echo "  [RANLIB]  $@" && $(RANLIB))
_PERL    = $(if $(V),$(PERL),    @ echo "  [PERL]    $@" && $(PERL) >/dev/null)

$(OUTDIR)/server.a: $(OUTDIR)/Daemon.o $(OUTDIR)/LocalProcessStream.o $(OUTDIR)/Protocol.o $(OUTDIR)/ProtocolObject.o $(OUTDIR)/ProtocolUncertainStream.o $(OUTDIR)/SSLLib.o $(OUTDIR)/ServerControl.o $(OUTDIR)/Socket.o $(OUTDIR)/SocketStream.o $(OUTDIR)/SocketStreamTLS.o $(OUTDIR)/TLSContext.o $(OUTDIR)/WinNamedPipeStream.o $(OUTDIR)/autogen_ConnectionException.o $(OUTDIR)/autogen_ServerException.o
	$(HIDE) (echo -n > $(OUTDIR)/server.a; rm $(OUTDIR)/server.a)
	$(_AR) cq $(OUTDIR)/server.a $(OUTDIR)/Daemon.o $(OUTDIR)/LocalProcessStream.o $(OUTDIR)/Protocol.o $(OUTDIR)/ProtocolObject.o $(OUTDIR)/ProtocolUncertainStream.o $(OUTDIR)/SSLLib.o $(OUTDIR)/ServerControl.o $(OUTDIR)/Socket.o $(OUTDIR)/SocketStream.o $(OUTDIR)/SocketStreamTLS.o $(OUTDIR)/TLSContext.o $(OUTDIR)/WinNamedPipeStream.o $(OUTDIR)/autogen_ConnectionException.o $(OUTDIR)/autogen_ServerException.o
	$(_RANLIB) $(OUTDIR)/server.a

$(OUTDIR)/TLSContext.o: TLSContext.cpp ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/Box.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h SSLLib.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/win32/emu.h TLSContext.h ../../lib/common/CommonException.h ../../lib/win32/getopt.h ServerException.h ../../lib/common/FileStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c TLSContext.cpp -o $(OUTDIR)/TLSContext.o

$(OUTDIR)/Socket.o: Socket.cpp ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h Socket.h ../../lib/win32/emu.h ../../lib/common/FileStream.h ServerException.h ../../lib/win32/getopt.h ../../lib/common/CommonException.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c Socket.cpp -o $(OUTDIR)/Socket.o

$(OUTDIR)/SocketStreamTLS.o: SocketStreamTLS.cpp SocketStreamTLS.h ../../lib/win32/emu.h TLSContext.h ../../lib/common/CommonException.h ../../lib/win32/getopt.h ../../lib/common/BoxTime.h SocketStream.h ServerException.h ../../lib/common/FileStream.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/common/IOStream.h SSLLib.h Socket.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c SocketStreamTLS.cpp -o $(OUTDIR)/SocketStreamTLS.o

$(OUTDIR)/ProtocolObject.o: ProtocolObject.cpp ../../lib/win32/getopt.h ../../lib/common/CommonException.h ../../lib/common/FileStream.h ../../lib/win32/emu.h ProtocolObject.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFinder.h ../../lib/common/IOStream.h ../../lib/common/Box.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c ProtocolObject.cpp -o $(OUTDIR)/ProtocolObject.o

$(OUTDIR)/WinNamedPipeStream.o: WinNamedPipeStream.cpp Socket.h WinNamedPipeStream.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Box.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/CommonException.h ../../lib/win32/getopt.h ServerException.h ../../lib/common/FileStream.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c WinNamedPipeStream.cpp -o $(OUTDIR)/WinNamedPipeStream.o

$(OUTDIR)/SSLLib.o: SSLLib.cpp ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxPlatform.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h SSLLib.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/win32/emu.h ../../lib/win32/getopt.h ../../lib/common/CommonException.h ../../lib/common/FileStream.h ServerException.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c SSLLib.cpp -o $(OUTDIR)/SSLLib.o

$(OUTDIR)/ServerControl.o: ServerControl.cpp ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ServerControl.h ../../lib/common/BoxConfig.h WinNamedPipeStream.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/common/IOStream.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/IOStreamGetLine.h ../../lib/common/FileStream.h ../../lib/common/BoxPortsAndFiles.h ../../lib/common/CommonException.h ../../lib/win32/getopt.h ../../lib/common/Test.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c ServerControl.cpp -o $(OUTDIR)/ServerControl.o

$(OUTDIR)/Protocol.o: Protocol.cpp ../../lib/win32/emu.h ProtocolObject.h ../../lib/common/BeginStructPackForWire.h ProtocolWire.h ../../lib/win32/getopt.h ../../lib/common/CommonException.h ../../lib/common/FileStream.h ServerException.h ../../lib/common/EndStructPackForWire.h Protocol.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/PartialReadStream.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFinder.h ../../lib/common/IOStream.h ProtocolUncertainStream.h ../../lib/common/Box.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h ../../lib/common/Logging.h ../../lib/common/Utils.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c Protocol.cpp -o $(OUTDIR)/Protocol.o

$(OUTDIR)/Daemon.o: Daemon.cpp ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Box.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h Daemon.h ../../lib/common/MemLeakFindOn.h ../../lib/win32/emu.h ../../lib/common/Guards.h ../../lib/common/UnixUser.h ../../lib/common/CommonException.h ../../lib/common/Configuration.h ../../lib/common/BoxTime.h ../../lib/win32/getopt.h ServerException.h ../../lib/common/FileModificationTime.h ../../lib/common/FileStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c Daemon.cpp -o $(OUTDIR)/Daemon.o

$(OUTDIR)/SocketStream.o: SocketStream.cpp ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/common/IOStream.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h Socket.h ../../lib/win32/emu.h ServerException.h ../../lib/common/FileStream.h ../../lib/common/CommonException.h ../../lib/win32/getopt.h SocketStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c SocketStream.cpp -o $(OUTDIR)/SocketStream.o

$(OUTDIR)/LocalProcessStream.o: LocalProcessStream.cpp ../../lib/common/CommonException.h SocketStream.h ../../lib/win32/getopt.h ../../lib/common/BoxException.h ../../lib/common/FileStream.h LocalProcessStream.h autogen_ServerException.h ../../lib/win32/emu.h Socket.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/Box.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c LocalProcessStream.cpp -o $(OUTDIR)/LocalProcessStream.o

$(OUTDIR)/ProtocolUncertainStream.o: ProtocolUncertainStream.cpp ProtocolUncertainStream.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/common/IOStream.h ../../lib/common/BoxPlatform.h Protocol.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h ../../lib/win32/emu.h ProtocolObject.h ServerException.h ../../lib/common/FileStream.h ../../lib/common/CommonException.h ../../lib/win32/getopt.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c ProtocolUncertainStream.cpp -o $(OUTDIR)/ProtocolUncertainStream.o

$(OUTDIR)/autogen_ServerException.o: autogen_ServerException.cpp ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Box.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxException.h ../../lib/common/FileStream.h ../../lib/common/CommonException.h ../../lib/win32/getopt.h autogen_ServerException.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c autogen_ServerException.cpp -o $(OUTDIR)/autogen_ServerException.o

$(OUTDIR)/autogen_ConnectionException.o: autogen_ConnectionException.cpp ../../lib/win32/emu.h ../../lib/common/FileStream.h ../../lib/common/BoxException.h autogen_ConnectionException.h ../../lib/win32/getopt.h ../../lib/common/CommonException.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxPlatform.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/server\"" -c autogen_ConnectionException.cpp -o $(OUTDIR)/autogen_ConnectionException.o


clean:
	-rm -rf $(OUTDIR)/*
ifndef SUBCLEAN
	$(HIDE) (cd ../../lib/win32; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/common; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
endif


include Makefile.extra


buildsystem:
	(cd ../..; perl ./infrastructure/makebuildenv.pl )

